Bug 967322 - libmusicbrainz5 should Obsolete and Provide libmusicbrainz4
libmusicbrainz5 should Obsolete and Provide libmusicbrainz4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmusicbrainz5 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 10:57 EDT by Hans de Goede
Modified: 2013-06-18 02:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: libmusicbrainz5-5.0.1-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 02:07:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2013-05-26 10:57:41 EDT
Since we're dropping libmusicbrainz4 in F19+, libmusicbrainz5 in F19+ should Obsolete it.

How reproducible:
Upgrade from F-18 to F-19, then run:

[hans@shalem ~]$ sudo package-cleanup --orphans
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
libmusicbrainz4-4.0.3-3.fc18.x86_64
[hans@shalem ~]$

Given that the latest build of libmusicbrainz4 in koji is libmusicbrainz4-4.0.3-4.fc19, libmusicbrainz5 should add:

Obsoletes: libmusicbrainz4 < libmusicbrainz4-4.0.3-5
Provides: libmusicbrainz4 = libmusicbrainz4-4.0.3-5
Comment 1 Christophe Fergeau 2013-05-27 04:03:34 EDT
libmusicbrainz5 is not a drop-in replacement for libmusicbrainz4 (different sonames, ...), and I think both can be installed in parallel if needed). If the user has an external package built against libmusicbrainz4, this Obsoletes/Provides addition will cause breakage.
I generally don't consider Obsoletes as a good way to automatically remove old packages on upgrades.
Did you get any issues with these 2 libraries apart from the slightly higher disk space use?
Comment 2 Hans de Goede 2013-05-27 08:01:39 EDT
(In reply to Christophe Fergeau from comment #1)
> libmusicbrainz5 is not a drop-in replacement for libmusicbrainz4

I know.

> and I think both can be installed in parallel if needed)

Correct.

> If the user has an external package built against libmusicbrainz4, this
> Obsoletes/Provides addition will cause breakage.

True, but we do the same often when we upgrade libraries to versions
with a different soname as part of the regular package upgrade, ie
libfoo-1.0 -> libfoo-2.0, without having any compat packages, like
we use(d) to have for libmusicbrainz.

Also otherwise the user will keep having an old unsupported package around,
with no security updates, etc.

> I generally don't consider Obsoletes as a good way to automatically remove
> old packages on upgrades.

It depends on the package, if it is being replaced by something else, which
more or less is the case here. The Obsoletes / Provides make sense.

> Did you get any issues with these 2 libraries apart from the slightly higher
> disk space use?

My biggest issue, from a user pov, is they are unsupported.
Comment 3 Rex Dieter 2013-05-30 13:14:56 EDT
My $0.02,

*If* you want cleanup of the unsupported libmusicbrainz4, then adding an Obsoletes is the way to go.

But, I'd object to adding Provides: , libmusicbrainz5 is really no replacement (api or abi)
Comment 4 Fedora Update System 2013-06-11 05:55:47 EDT
libmusicbrainz5-5.0.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libmusicbrainz5-5.0.1-6.fc19
Comment 5 Fedora Update System 2013-06-11 13:54:14 EDT
Package libmusicbrainz5-5.0.1-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libmusicbrainz5-5.0.1-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10545/libmusicbrainz5-5.0.1-6.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-12 15:05:44 EDT
libmusicbrainz5-5.0.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libmusicbrainz5-5.0.1-7.fc19
Comment 7 Fedora Update System 2013-06-18 02:07:02 EDT
libmusicbrainz5-5.0.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.